Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 13828

Description

It seems interesting to load the connection settings for [[PostGIS]] from

those in .pgadmin3 (or syncing them both), so the user should not repeat the config twice.

History

#1 - 2011-04-23 05:52 AM - Mayeul Kauffmann

A few notes on this interesting idea:

    -  If you have 30 databases on 3 local servers (e.g. dev, testing, prod) and only one of those databases has tables with spatial objects, you do not want to

list them all in qgis. So you should be given the choice.

    -  In any case this should be optional (you should be able to configure it manually, and you still need to give a password if you are not using a socket or

another method of authentification).

    -  This relies on knowing where this pgadmin config file is. I guess it is in ~/pgadmin3 in most GNU/Linux box.

In qgis developer mailing list, Alessandro F. said:

"WinOz doesn't uses any file to store permanent settings: it uses the System Registry instead. so pgadmin connections are stored under the following

registry key:

HKEY_CURRENT_USER/Software/pgAdmin III/Servers

"

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#4 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#5 - 2017-05-01 12:42 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Easy fix? set to No

#6 - 2018-01-29 07:16 PM - Paolo Cavallini

- Description updated
Still unimplemented in QGIS3

#7 - 2018-01-29 11:00 PM - Nyall Dawson

Is this possible with pgadmin4? Or should we just close as irrelevant now?*

    -  Saying this as a staunch pgadmin 3 holdout.

#8 - 2018-01-30 06:18 AM - Paolo Cavallini

No idea about pga4, sorry.

#9 - 2018-03-07 04:16 PM - Paolo Cavallini

Still true in QGIS 3.

#10 - 2018-03-07 04:19 PM - Giovanni Manghi

- Category changed from Data Provider to Data Provider/PostGIS

this should be "moved" to pgadmin4, but considered how bad it is I really don't know who would use it.

#11 - 2018-03-07 04:20 PM - Paolo Cavallini

Agreed, it's not even available on Debian Sid.

#12 - 2018-03-07 04:21 PM - Paolo Cavallini

- Assignee deleted (nobody -)
